Retract your own review verdict
Retracts the calling user’s own active approve or request-changes verdict, returning the revision to pending-review. Review comments stay in the log. Retracting a request-changes can leave the revision approved by someone else, in which case an armed auto-publish fires.
POST
/
v1
/
constants-revisions
/
{key}
/
{version}
/
undo-review
cURL
curl -X POST 'https://api.growthbook.io/api/v1/constants-revisions/{key}/{version}/undo-review' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/constants-revisions/{key}/{version}/undo-review"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.growthbook.io/api/v1/constants-revisions/{key}/{version}/undo-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": {
"id": "<string>",
"status": "draft",
"authorId": "<string>",
"reviews": [
{
"id": "<string>",
"userId": "<string>",
"decision": "approve",
"dateCreated": "2023-11-07T05:31:56Z",
"comment": "<string>",
"stale": true
}
],
"activityLog": [
{
"id": "<string>",
"userId": "<string>",
"action": "created",
"dateCreated": "2023-11-07T05:31:56Z",
"description": "<string>",
"proposedChangesSnapshot": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"targetSnapshot": "<unknown>"
}
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"baseConstant": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "string",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"archived": true
},
"proposedConstant": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "string",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"archived": true
},
"proposedChanges": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"version": 123,
"title": "<string>",
"authorEmail": "<string>",
"contributors": [
"<string>"
],
"revertedFrom": "<string>",
"autoPublishOnApproval": true,
"autoPublishEnabledBy": "<string>",
"scheduledPublishAt": "2023-11-07T05:31:56Z",
"scheduledPublishLockEdits": true,
"scheduledPublishLockOthers": true,
"scheduledPublishBypassApproval": true,
"scheduledPublishAttempts": 123,
"scheduledPublishLastError": "<string>",
"scheduledPublishGaveUpAt": "2023-11-07T05:31:56Z",
"resolution": {
"action": "merged",
"userId": "<string>",
"dateCreated": "2023-11-07T05:31:56Z"
}
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Body
application/json
The body is of type object.
Response
200 - application/json
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/constants-revisions/{key}/{version}/undo-review' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/constants-revisions/{key}/{version}/undo-review"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.growthbook.io/api/v1/constants-revisions/{key}/{version}/undo-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": {
"id": "<string>",
"status": "draft",
"authorId": "<string>",
"reviews": [
{
"id": "<string>",
"userId": "<string>",
"decision": "approve",
"dateCreated": "2023-11-07T05:31:56Z",
"comment": "<string>",
"stale": true
}
],
"activityLog": [
{
"id": "<string>",
"userId": "<string>",
"action": "created",
"dateCreated": "2023-11-07T05:31:56Z",
"description": "<string>",
"proposedChangesSnapshot": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"targetSnapshot": "<unknown>"
}
],
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"baseConstant": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "string",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"archived": true
},
"proposedConstant": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "string",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"archived": true
},
"proposedChanges": [
{
"op": "add",
"path": "<string>",
"value": "<unknown>"
}
],
"version": 123,
"title": "<string>",
"authorEmail": "<string>",
"contributors": [
"<string>"
],
"revertedFrom": "<string>",
"autoPublishOnApproval": true,
"autoPublishEnabledBy": "<string>",
"scheduledPublishAt": "2023-11-07T05:31:56Z",
"scheduledPublishLockEdits": true,
"scheduledPublishLockOthers": true,
"scheduledPublishBypassApproval": true,
"scheduledPublishAttempts": 123,
"scheduledPublishLastError": "<string>",
"scheduledPublishGaveUpAt": "2023-11-07T05:31:56Z",
"resolution": {
"action": "merged",
"userId": "<string>",
"dateCreated": "2023-11-07T05:31:56Z"
}
}
}
